> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Add Section

> Add a section to an existing page.



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections:
    post:
      tags:
        - pages-admin
      summary: Admin Add Section
      description: Add a section to an existing page.
      operationId: >-
        pages_admin.post_pages_admin_post_teams_by_team_id_hubs_by_hub_id_pages_by_page_id_sections
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: page_id
          required: true
          schema:
            title: Page Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/SectionCreateEnvelope'
        required: true
      responses:
        '201':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/SectionResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SectionCreateEnvelope:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/SectionCreateResource'
      required:
        - data
      title: SectionCreateEnvelope
      type: object
    SectionResponse:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/SectionResource'
      required:
        - data
      title: SectionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SectionCreateResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/SectionCreateAttributes'
        type:
          const: sections
          title: Type
          type: string
      required:
        - type
        - attributes
      title: SectionCreateResource
      type: object
    SectionResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/SectionAttributes'
        id:
          title: Id
          type: string
        type:
          const: sections
          default: sections
          title: Type
          type: string
      required:
        - id
        - attributes
      title: SectionResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SectionCreateAttributes:
      additionalProperties: false
      properties:
        access_rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Rule Id
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        model_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Type
        position:
          default: 0
          maximum: 2147483647
          minimum: 0
          title: Position
          type: integer
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        type:
          title: Type
          type: string
        visible:
          default: true
          title: Visible
          type: boolean
      required:
        - type
      title: SectionCreateAttributes
      type: object
    SectionAttributes:
      additionalProperties: false
      properties:
        access_rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Rule Id
        created_at:
          format: date-time
          title: Created At
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        model_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Type
        page_id:
          title: Page Id
          type: string
        position:
          title: Position
          type: integer
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        type:
          title: Type
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        visible:
          title: Visible
          type: boolean
      required:
        - page_id
        - type
        - title
        - model_type
        - model_id
        - position
        - visible
        - access_rule_id
        - settings
        - meta
        - created_at
        - updated_at
        - deleted_at
      title: SectionAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````